<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:id="@+id/rl_gathering"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimaryBlue"
        android:orientation="horizontal"
        android:paddingTop="@dimen/top_pind_sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_gathering"
            android:layout_width="wrap_content"
            android:layout_height="45dp"
            android:layout_alignParentLeft="true"
            android:layout_marginLeft="15dp"
            android:src="@drawable/ic_baseline_arrow" />

        <TextView
            android:id="@+id/tv_gathering"
            android:layout_width="wrap_content"
            android:layout_height="45dp"
            android:layout_marginLeft="15dp"
            android:layout_toRightOf="@id/iv_find_task"
            android:gravity="center"
            android:text="收款信息"
            android:textColor="#fff"
            android:textSize="17sp"
            android:textStyle="bold" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linear_hint"
        android:layout_width="match_parent"
        android:layout_height="100dp"
        android:layout_margin="20dp"
        android:background="@drawable/gethering_shape"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/rl_gathering">

        <TextView
            android:id="@+id/tv_hint"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="10dp"
            android:text="提示："
            android:textColor="#FF9800"
            android:textSize="15sp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:text="1.必须先实名认证才能绑定银行卡"
            android:textColor="#FF9800" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="5dp"
            android:text="2.银行卡户主姓名必须与实名认证姓名一致"
            android:textColor="#FF9800" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="20dp"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="@+id/linear_hint"
        app:layout_constraintStart_toStartOf="@+id/linear_hint"
        app:layout_constraintTop_toBottomOf="@+id/linear_hint">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="持  卡  人:"
                android:textColor="#333"
                android:textSize="18sp" />

            <TextView
                android:id="@+id/tv_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@null"
                android:hint="持卡人姓名"
                android:textSize="16sp" />
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="#2196F3" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:layout_gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_creditNumbers"
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                android:gravity="center"
                android:text="银行卡号:"
                android:textColor="#333"
                android:textSize="18sp" />

            <EditText
                android:id="@+id/et_bank_num"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="100dp"
                android:layout_marginRight="50dp"
                android:background="@null"
                android:hint="银行卡号"
                android:digits="1234567890"
                android:maxLength="19"
                android:textSize="16sp"
                app:layout_constraintTop_toTopOf="@+id/tv_creditNumbers"
                app:layout_constraintLeft_toRightOf="@+id/tv_creditNumbers"
                />

                <ImageView
                    android:id="@+id/gathering_camera"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_marginBottom="10dp"
                    android:src="@drawable/ic_baseline_camera"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintLeft_toRightOf="@+id/et_bank_num"
                    app:layout_constraintTop_toTopOf="parent"
                  />



        </androidx.constraintlayout.widget.ConstraintLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="#2196F3" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/bank"
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:gravity="center"
                android:text="所属银行:"
                android:textColor="#333"
                android:textSize="18sp" />

            <TextView
                android:id="@+id/tv_bank"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toLeftOf="@id/iv_bank"
                android:layout_toRightOf="@id/bank"
                android:hint="请选择所属银行"
                android:textSize="16sp" />

            <ImageView
                android:id="@+id/iv_bank"
                android:layout_width="50dp"
                android:layout_height="30dp"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="10dp"
                android:src="@drawable/ic_baseline_arrow_drop" />

        </RelativeLayout>


        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="#2196F3" />

        <Button
            android:id="@+id/btn_bank"
            style="@style/user_data_style"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="40dp"
            android:text="绑定银行卡" />
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>